﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using RadTextBoxControlLab.Collections;

namespace WindowsFormsApplication208
{
    public class MyRadAutoCompleteBox: RadAutoCompleteBox
    {
        public MyRadAutoCompleteBox()
        {
            this.ThemeClassName = typeof(RadAutoCompleteBox).FullName;
        }

        protected override RadTextBoxControlElement CreateTextBoxElement()
        {
            return new MyRadAutoCompleteBoxElement();
        }
    }

    public class MyRadAutoCompleteBoxElement : RadAutoCompleteBoxElement
    {
        protected override RadTokenizedTextItemCollection CreateTokenizedItemCollection()
        {
            return new MyRadTokenizedTextItemCollection(this);
        }

        protected override Type ThemeEffectiveType
        {
            get
            {
                return typeof(RadAutoCompleteBoxElement);
            }
        }
    }
}
