﻿using System.Collections.Generic;
using Telerik.WinControls.UI;

namespace RadTextBoxControlLab.Collections
{
    public class MyRadTokenizedTextItem : RadTokenizedTextItem
    {
        private ITextBlock owner;

        public MyRadTokenizedTextItem(string text, object value, ITextBlock owner)
            : base(text, value)
        {
            this.owner = owner;
        }

        public override int CompareTo(RadTokenizedTextItem other)
        {
            MyRadTokenizedTextItem token = other as MyRadTokenizedTextItem;
            return Comparer<int>.Default.Compare(owner.Index, token.owner.Index);
        }
    }
}
