﻿using System;
using System.Diagnostics;
using System.Windows.Forms;
using RadTextBoxControlLab.Collections;
using Telerik.WinControls.Data;
using Telerik.WinControls.UI;

namespace RadAutoCompleteBoxItemsCollectionOrdered
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radAutoCompleteBox1.CreateTextBlock += new CreateTextBlockEventHandler(radAutoCompleteBox1_CreateTextBlock); 
	        this.radAutoCompleteBox1.Text = string.Empty;
        }

        void radAutoCompleteBox1_CreateTextBlock(object sender, CreateTextBlockEventArgs e)
        {
            if (e.TextBlock is TokenizedTextBlockElement)
            {
                e.TextBlock = new MyTokenizedTextBlockElement();
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radLabel1.Text = string.Empty;

            foreach (RadTokenizedTextItem item in this.radAutoCompleteBox1.Items)
            {
                this.radLabel1.Text += item.Text;
            }
        }
    }
}
