﻿using System.Collections.Generic;
using Telerik.WinControls.UI;

namespace RadTextBoxControlLab.Collections
{
    public class MyRadTokenizedTextItemCollection : RadTokenizedTextItemCollection
    {
        public MyRadTokenizedTextItemCollection(RadAutoCompleteBoxElement box)
            : base(box, new List<RadTokenizedTextItem>())
        {

        }

        protected override void OnCollectionChanged(Telerik.WinControls.Data.NotifyCollectionChangedEventArgs e)
        {
            List<RadTokenizedTextItem> tokens = this.Items as List<RadTokenizedTextItem>;
            tokens.Sort();
            base.OnCollectionChanged(e);
        }
    }
}
